
From: Michael Werner <werner@mrcoffee.engr.sgi.com>

This patch gives non-generic platforms a method for using platform specific
agp_find_bridge functions.

Signed-off-by: Mike Werner <werner@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/agp/backend.c  |    5 ++++-
 25-akpm/include/linux/agp_backend.h |    2 ++
 2 files changed, 6 insertions(+), 1 deletion(-)

diff -puN drivers/char/agp/backend.c~agpgart-add-agp_find_bridge-function drivers/char/agp/backend.c
--- 25/drivers/char/agp/backend.c~agpgart-add-agp_find_bridge-function	2005-01-11 19:55:02.532982936 -0800
+++ 25-akpm/drivers/char/agp/backend.c	2005-01-11 19:55:02.537982176 -0800
@@ -50,6 +50,9 @@ static struct agp_version agp_current_ve
 	.minor = AGPGART_VERSION_MINOR,
 };
 
+struct agp_bridge_data *(*agp_find_bridge)(struct pci_dev *) =
+	&agp_generic_find_bridge;
+
 struct agp_bridge_data *agp_bridge;
 LIST_HEAD(agp_bridges);
 EXPORT_SYMBOL(agp_bridge);
@@ -63,7 +66,7 @@ struct agp_bridge_data *agp_backend_acqu
 {
 	struct agp_bridge_data *bridge;
 
-	bridge = agp_generic_find_bridge(pdev);
+	bridge = agp_find_bridge(pdev);
 
 	if (!bridge)
 		return NULL;
diff -puN include/linux/agp_backend.h~agpgart-add-agp_find_bridge-function include/linux/agp_backend.h
--- 25/include/linux/agp_backend.h~agpgart-add-agp_find_bridge-function	2005-01-11 19:55:02.533982784 -0800
+++ 25-akpm/include/linux/agp_backend.h	2005-01-11 19:55:02.538982024 -0800
@@ -94,6 +94,8 @@ struct agp_memory {
 extern struct agp_bridge_data *agp_bridge;
 extern struct list_head agp_bridges;
 
+extern struct agp_bridge_data *(*agp_find_bridge)(struct pci_dev *);
+
 extern void agp_free_memory(struct agp_memory *);
 extern struct agp_memory *agp_allocate_memory(struct agp_bridge_data *, size_t, u32);
 extern int agp_copy_info(struct agp_bridge_data *, struct agp_kern_info *);
_
